SIMPLE(1)

NAME
simple - the obvious array-based kmer counter

SYNOPSIS
simple [-f|-r|-C] [-c compression] [-m mersize] -i input -o output

DESCRIPTION
simple is a very simple mer counter. It allocates a gigantic 32-bit array, populates the array with mers, sorts, and writes the output. It will allocate 4 bytes per kmer. k=16 will require 16 GB to run.

OPTIONS

-i input

-o output

-m mersize
    the mer size. Default is 22

-f  forward kmer (this is the default)

-r  reverse kmer

-C  canonical kmer (lexicographically smaller of the forward and reverse kmer at each location)

-c #
    mer compression

SEE ALSO
meryl(1)